Debian dsa-5624:ovmf - 安全更新

high Nessus 插件 ID 190574

简介

远程 Debian 主机上缺少一个或多个与安全性相关的更新。

描述

远程 Debian 11/12 主机上安装的多个程序包受到 dsa-5624 公告中提及的多个漏洞影响。

- EDK2 容易受到 Tcg2MeasureGptTable() 函数中的一个漏洞影响,从而允许用户通过本地网络触发堆缓冲区溢出。如果成功利用此漏洞,可导致机密性、完整性和/或可用性受到破坏。(CVE-2022-36763)

- EDK2 容易受到 Tcg2MeasurePeImage() 函数中的一个漏洞影响,从而允许用户通过本地网络触发堆缓冲区溢出。如果成功利用此漏洞,可导致机密性、完整性和/或可用性受到破坏。(CVE-2022-36764)

- EDK2 容易受到 CreateHob() 函数中的一个漏洞影响,从而允许用户通过本地网络触发堆缓冲区溢出。如果成功利用此漏洞,可导致机密性、完整性和/或可用性受到破坏。(CVE-2022-36765)

- 在处理 DHCPv6 公告消息中的 IA_NA 或 IA_TA 选项时,EDK2 的网络程序包容易受到越界读取漏洞的影响。攻击者可利用此漏洞获取未经授权的访问权限,并可能导致机密性丧失。(CVE-2023-45229)

- EDK2 的 Network 程序包容易受到缓冲区溢出漏洞影响,通过 DHCPv6 客户端中的长服务器 ID 选项可触发此漏洞。攻击者可利用此漏洞获取未经授权的访问权限,并可能导致机密性、完整性和/或可用性丧失。(CVE-2023-45230)

- 在处理 Neighbor Discovery Redirect 消息时,EDK2 的网络程序包容易受到越界读取漏洞的影响。攻击者可利用此漏洞获取未经授权的访问权限,并可能导致机密性丧失。(CVE-2023-45231)

- 解析 IPv6 的“目标选项”标头中的不明选项时,EDK2 的网络程序包容易受到无限循环漏洞的影响。攻击者可利用此漏洞获取未经授权的访问权限,并可能导致可用性丧失。(CVE-2023-45232)

- 解析 IPv6 的“目标选项”标头中的 PadN 选项时,EDK2 的网络程序包容易受到无限循环漏洞的影响。攻击者可利用此漏洞获取未经授权的访问权限,并可能导致可用性丧失。(CVE-2023-45233)

- 在处理 DHCPv6 Advertise 消息中的 DNS Servers 选项时,EDK2 的网络程序包容易受到缓冲区溢出漏洞影响。攻击者可利用此漏洞获取未经授权的访问权限,并可能导致机密性、完整性和/或可用性丧失。
(CVE-2023-45234)

- 在处理 DHCPv6 proxy Advertise 消息中的 Server ID 选项时,EDK2 的网络程序包容易受到缓冲区溢出漏洞影响。攻击者可利用此漏洞获取未经授权的访问权限,并可能导致机密性、完整性和/或可用性丧失。
(CVE-2023-45235)

- 在 Ubuntu 的 EDK2 中,EDK2 中允許 UEFI Shell 的不安全默认值会保持启用状态,这让驻留在 OS 中的攻击者可以绕过“安全启动”。(CVE-2023-48733)

请注意,Nessus 尚未测试这些问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级 ovmf 程序包。

另见

https://security-tracker.debian.org/tracker/source-package/edk2

https://security-tracker.debian.org/tracker/CVE-2022-36763

https://security-tracker.debian.org/tracker/CVE-2022-36764

https://security-tracker.debian.org/tracker/CVE-2022-36765

https://security-tracker.debian.org/tracker/CVE-2023-45229

https://security-tracker.debian.org/tracker/CVE-2023-45230

https://security-tracker.debian.org/tracker/CVE-2023-45231

https://security-tracker.debian.org/tracker/CVE-2023-45232

https://security-tracker.debian.org/tracker/CVE-2023-45233

https://security-tracker.debian.org/tracker/CVE-2023-45234

https://security-tracker.debian.org/tracker/CVE-2023-45235

https://security-tracker.debian.org/tracker/CVE-2023-48733

https://packages.debian.org/source/bookworm/edk2

https://packages.debian.org/source/bullseye/edk2

插件详情

严重性: High

ID: 190574

文件名: debian_DSA-5624.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2024/2/15

最近更新时间: 2024/2/19

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent, Nessus

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 8.3

时间分数: 6.5

矢量: CVSS2#AV:A/AC:L/Au:N/C:C/I:C/A:C

CVSS 分数来源: CVE-2023-45235

CVSS v3

风险因素: High

基本分数: 8.8

时间分数: 7.9

矢量: CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

漏洞信息

CPE: cpe:/o:debian:debian_linux:11.0, p-cpe:/a:debian:debian_linux:qemu-efi-aarch64, p-cpe:/a:debian:debian_linux:ovmf, p-cpe:/a:debian:debian_linux:ovmf-ia32, p-cpe:/a:debian:debian_linux:qemu-efi, p-cpe:/a:debian:debian_linux:qemu-efi-arm, cpe:/o:debian:debian_linux:12.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可利用: true

易利用性: Exploits are available

补丁发布日期: 2024/2/14

漏洞发布日期: 2024/1/9

参考资料信息

CVE: CVE-2022-36763, CVE-2022-36764, CVE-2022-36765, CVE-2023-45229, CVE-2023-45230, CVE-2023-45231, CVE-2023-45232, CVE-2023-45233, CVE-2023-45234, CVE-2023-45235, CVE-2023-48733